<?php // Licence Publique Générale GNU (GNU General Publique License), Copyright 2005-2008 Geffrotin Yann
  
  include("../../nav_haut.php"); // inclure le haut de la page 
  echo '<div class="corps" onmouseover="javascript:cache(\'smenu1\'); javascript:cache(\'smenu2\'); javascript:cache(\'smenu3\'); javascript:cache(\'smenu4\'); javascript:cache(\'smenu5\'); javascript:cache(\'smenu6\'); ">'; // debut du corps de la page
  
    if(isset($_SESSION["mailcli"])){ //si les sessions sont pleines
    
		if(mysql_select_db($base,$connexion)){ // si connexion à la base réussi

			if(isset($_POST['mailcli']) && isset($_POST['montant'])){ //si le mail et montant sont different de null
			
				if($_POST['mailcli'] != "" && $_POST['montant'] != ""){ //si le mail et montant sont different de vide
					
					include("../verif.php");
			 		$mail_cli_dest = substr(addslashes(htmlentities(strip_tags(str_replace(" ", "", $_POST['mailcli'])))),0,40);
			 		$Montant = substr(nettoyer_chaine(addslashes(htmlentities(strip_tags($_POST["montant"])))),0,20); 
			 		
					if($_SESSION["mailcli"] != $mail_cli_dest ){ //si courriel différent du sien
					
						$requete_existe_destinataire = "select * from freepay_client where mailcli='".$mail_cli_dest."';"; //requête sql
						$ligne_existe_destinataire = mysql_fetch_assoc(mysql_query($requete_existe_destinataire,$connexion)); //affichage des résultats
						
						if( $ligne_existe_destinataire["mailcli"] != "" ){ //si le destinataire existe
          
							if ($Montant <= $_SESSION["montantcompte"]){

							  if(empty($_POST['anonyme'])) { //Ajouter dans la table TRANSFERER la transaction NORMALE
								echo "<p class='reussi'>La transaction s'est déroulé avec succès.</p>";
								echo "<h4 class='titre'> Récapitulatif de la transaction : </h4>";
								fonction_paiement ($_SESSION["mailcli"], $_POST["mailcli"], $Montant, $_SESSION["devise"], $AdresseFreePay);
							  }
							  
							  if(!empty($_POST['anonyme'])) { //Ajouter dans la table TRANSFERER la transaction ANONYME
								echo "<p class='reussi'>La transaction <strong>anonyme</strong> s'est déroulé avec succès.</p>";
								echo "<h4 class='titre'> Récapitulatif des transactions : </h4>";
								fonction_paiement ($_SESSION["mailcli"], "anonyme@".$_SERVER['HTTP_HOST']."", $Montant, $_SESSION["devise"], $AdresseFreePay);
								fonction_paiement ("anonyme@".$_SERVER['HTTP_HOST']."", $_POST["mailcli"], $Montant, $_SESSION["devise"], $AdresseFreePay);
							  }
							  
							}else{
							  echo "<p class='erreur'>Vous n'avez pas la somme requise sur votre compte.</p>";
							}
						}else{
							echo "<p class='erreur'>L'identifiant <strong>".$mail_cli_dest."</strong> n'existe pas encore dans la base.</p>";
						}
					}else{
					  echo "<p class='erreur'>Veuillez entrer un courriel différent du votre.</p>";
					}
				}else{
					echo "<p class='erreur'>Veuillez entrer un courriel et un montant.</p>";
				}
			}
		}else{ 
		  echo "<p class='erreur'>La base '<strong>$base</strong>' est introuvable sur <strong>MySQL</strong>. Il faut l'installer.</p>";
		}

      	include("pay_ajouter_interface.php");
      	
    }else{
      echo "
   		 <script type='text/javascript'>
      		window.location.replace('".$AdresseFreePay."support/client/connexion.php?URLRetour=http://".$_SERVER['HTTP_HOST'].$_SERVER['SCRIPT_NAME']."');
    	</script>
    	";
    }

  echo "</div>"; // fin du corps de la page
  include("../../nav_bas.php"); // inclure le bas de la page

	
	function fonction_paiement ($Emetteur, $Récepteur, $Montant, $Devise, $AdresseFreePay){ // &$Var pour le retour
    
    //Trace de la transaction avant le reste
    mysql_query("INSERT INTO freepay_client_transferer values ('".date("Y")."-".date("m")."-".date("j")." ".date("H").":".date("i").":".date("s")."', '".$Emetteur."', '".$Récepteur."', '".$Montant."')");
    
    //Diminuer cette valeur au montant du débiteur dans la table compte.
    mysql_query("UPDATE freepay_client SET montantcompte = montantcompte - $Montant where mailcli='$Emetteur';");
    echo "<strong>".$Emetteur."</strong> a été débité de <strong>$Montant</strong> $Devise.<br/><br/>";
    
    //Augmenter cette valeur au montant du créditeur dans la table compte.
    mysql_query("UPDATE freepay_client SET montantcompte = montantcompte + $Montant where mailcli='$Récepteur';");
    echo "<strong>$Récepteur</strong> a été crédité de <strong>$Montant</strong> $Devise.<br/><br/>";
    
    //Ordre de paiement FreePay aux 3 parties
    
    if("localhost" != $_SERVER['HTTP_HOST']){ //pas d'envoi de mail en local
      $destinataire = array("","".$Emetteur."", "".$Récepteur."", "info@".$_SERVER['HTTP_HOST']."");
      
      // Courriel récapitulatif : pour l'Emetteur du paiement
        $objet[1] = "".$Montant." ".$Devise." a été envoyé à ".$Récepteur." avec ".$_SERVER['HTTP_HOST']."";
      
      // Courriel récapitulatif : pour le Récepteur du paiement
        $objet[2] = "".$Montant." ".$Devise." vous a été envoyé par ".$Emetteur." avec ".$_SERVER['HTTP_HOST']."";
      
      // Courriel récapitulatif : copie cachée incluse pour le Payment Service Provider
        $objet[3] = "".$Montant." ".$Devise." a été envoyé par ".$Emetteur." à ".$Récepteur." avec ".$_SERVER['HTTP_HOST']."";
      
      $headers = "From: Info ".$_SERVER['HTTP_HOST']." <noreply@".$_SERVER['HTTP_HOST'].">\r\n";
      
      for($i=1;$i<=3;$i++){
        $message = "Bonjour,\n\nRécapitulatif de l'ordre de paiement :\n\nUn virement a été effectué au sein de la Banque Libre de Paris (BIC : XXXXFRPA123).\n\nInstitution financière concernée : NO MARKET (EG, UNLISTED).\n\n".$objet[$i]."\n\nVous pouvez dès à présent consulter votre compte à l'adresse ".$AdresseFreePay."support/client/connexion.php?mailcli=".$destinataire[$i]."\n\nCordialement,\n\nL'équipe ".$_SERVER['HTTP_HOST']."";
        mail($destinataire[$i], $objet[$i], $message, $headers); 
      }
    }
  } 
  
?>
